Orders
Get order activities
Retrieve a chronological list of all activities related to a specific order, including status updates, payment events, fulfillment actions, and customer interactions. This endpoint helps you track the full lifecycle and history of an order for better visibility and auditing.
GET
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Response
200 - application/json
200 OK
Example:
[
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 141,
"log_name": "default",
"properties": { "product_count": { "new": 2, "old": 1 } },
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": { "lang": "fr" },
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
},
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 142,
"log_name": "default",
"properties": { "amount": { "new": 80000, "old": 15000 } },
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": { "lang": "fr" },
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
}
]